Cantera 2.6.0

Namespaces | Functions
IonsFromNeutralVPSSTP.cpp File Reference

Definitions for the object which treats ionic liquids as made of ions as species even though the thermodynamics is obtained from the neutral molecule representation. More...

`#include "cantera/thermo/IonsFromNeutralVPSSTP.h"`
`#include "cantera/thermo/ThermoFactory.h"`
`#include "cantera/thermo/Species.h"`
`#include "cantera/thermo/PDSS_IonsFromNeutral.h"`
`#include "cantera/base/stringUtils.h"`
`#include <fstream>`
Include dependency graph for IonsFromNeutralVPSSTP.cpp:

Go to the source code of this file.

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
static double | factorOverlap (const std::vector< std::string > &elnamesVN, const vector_fp &elemVectorN, const size_t nElementsN, const std::vector< std::string > &elnamesVI, const vector_fp &elemVectorI, const size_t nElementsI)
| Return the factor overlap. More...

## Detailed Description

Definitions for the object which treats ionic liquids as made of ions as species even though the thermodynamics is obtained from the neutral molecule representation.

(see Thermodynamic Properties and class IonsFromNeutralVPSSTP).

Header file for a derived class of ThermoPhase that handles variable pressure standard state methods for calculating thermodynamic properties that are further based upon expressions for the excess Gibbs free energy expressed as a function of the mole fractions.

Definition in file IonsFromNeutralVPSSTP.cpp.